
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/lockspace.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/dlm/lockspace.c~drivers-dlm-fix-up-schedule_timeout-usage drivers/dlm/lockspace.c
--- 25/drivers/dlm/lockspace.c~drivers-dlm-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:48 2005
+++ 25-akpm/drivers/dlm/lockspace.c	Wed Aug 17 17:00:48 2005
@@ -54,8 +54,7 @@ static int dlm_scand(void *data)
 	while (!kthread_should_stop()) {
 		list_for_each_entry(ls, &lslist, ls_list)
 			dlm_scan_rsbs(ls);
-		set_current_state(TASK_INTERRUPTIBLE);
-		schedule_timeout(dlm_config.scan_secs * HZ);
+		schedule_timeout_interruptible(dlm_config.scan_secs * HZ);
 	}
 	return 0;
 }
_
